## qbs 2.4.2

=== debian/changelog ===
qbs (2.4.2-3) unstable; urgency=medium

  * Team upload.
  * Build the documentation only during arch-indep builds:
    - move the python3-bs4, and python3-lxml build dependencies to
      Build-Depends-Indep
    - copy the qt6-tools-dev build dependency to Build-Depends-Indep, as it is
      needed for running the test suite
    - enable the -DQBS_INSTALL_HTML_DOCS, and -DQBS_INSTALL_QCH_DOCS cmake
      arguments only when their respective packages are to be built
  * Mark the qt6-declarative-dev, and qt6-tools-dev build dependencies as
    !nocheck, as they are needed only when running the test suite.
  * Update symbols file from the logs of buildds.
  * Stop passing -DQBS_INSTALL_PREFIX to cmake, as it has not been used for a
    long time.
  * Simplifying avoiding installing .gitignore files:
    - backport upstream commit 862deed5ec60c36c603d5ac84546804ea67cc675 to not
      install .gitignore files; patch
      upstream_cmake-Do-not-install-.gitignore-files.patch
    - stop removing them from the sources in dh_auto_clean, to not modify the
      sources
    - drop the entries from debian/not-installed
  * Remove entries from debian/not-installed that do not exist anymore.
  * Remove Uploaders who have not contributed anything in more than 5 years.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Nov 2024 11:12:59 +0100

qbs (2.4.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Oct 2024 21:56:58 +0200

qbs (2.4.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - implements processNameByPid on Hurd (Closes: #884470)
  * Update the patches:
    - fix_linker_mode_test.diff: drop, backported from upstream
  * Rename libqbscore2.3 to libqbscore2.4 according to the upstream SONAME
    bump.
  * Update install files.
  * Do not ship .gitignore files (via debian/not-installed).
  * Update symbols file.
  * Update copyright.
  * Drop breaks/replaces for versions older than Debian Bullseye.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Oct 2024 10:22:03 +0200

=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dpkg-build-api (= 1),
               pkg-kde-tools,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.4.2+dfsg-12~),
               qt6-base-private-dev,
               qt6-declarative-dev <!nocheck>,
               qt6-tools-dev <!nocheck>,
Build-Depends-Indep: python3-bs4,
                     python3-lxml,
                     qt6-tools-dev,
Standards-Version: 4.7.0
Homepage: https://wiki.qt.io/Qbs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: cross-platform build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.

Package: qbs-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qbs static files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs shared static files.

Package: libqbscore2.4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qbs core library
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs core shared library.

Package: qbs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqbscore2.4 (= ${binary:Version}), ${misc:Depends}
Description: Qbs development files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains headers and development files for Qbs.

Package: qbs-examples
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: examples for Qbs build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the example source projects for Qbs.

Package: qbs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qbs documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the documentation for Qbs in QCH format, which can be
 viewed using Qt Assistant from assistant-qt6 package.

Package: qbs-doc-html
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs HTML documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the HTML documentation for Qbs.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

ifeq (riscv64,$(DEB_BUILD_ARCH_CPU))
export QTEST_FUNCTION_TIMEOUT=900000
endif

ifeq ($(call dpkg_vendor_derives_from,ubuntu),yes)
ifeq (ppc64el,$(DEB_HOST_ARCH))
export DEB_CXXFLAGS_MAINT_STRIP=-O3
export DEB_CXXFLAGS_MAINT_APPEND=-O2
endif
endif

BUILDPATH ?= obj-$(DEB_HOST_GNU_TYPE)

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DQBS_ENABLE_RPATH=no \
		-DWITH_TESTS=yes \
		-DWITH_UNIT_TESTS=yes \
		-DQBS_LIB_INSTALL_DIR=lib/${DEB_HOST_MULTIARCH} \
		-DQBS_PLUGINS_INSTALL_BASE=lib/${DEB_HOST_MULTIARCH} \
		-DQBS_INSTALL_MAN_PAGE=yes \
		-DQBS_INSTALL_HTML_DOCS=$(if $(filter qbs-doc-html, $(shell dh_listpackages)),yes,no) \
		-DQBS_INSTALL_QCH_DOCS=$(if $(filter qbs-doc, $(shell dh_listpackages)),yes,no)

override_dh_auto_build-arch:
	dh_auto_build -- -C src
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	dh_auto_build -- -C share
	dh_auto_build -- -C tests
endif

override_dh_auto_install-arch:
	dh_auto_install -- -C src
	dh_auto_install -- -C doc/man

override_dh_auto_build-indep:
	dh_auto_build --no-parallel -- -C doc
	dh_auto_build -- -C share

override_dh_auto_install-indep:
	dh_auto_install --no-parallel -- -C doc
	dh_auto_install -- -C share

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; \
		export LD_LIBRARY_PATH=$(BUILDPATH)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
		export HOME=$(CURDIR)/debian/.debhelper/generated/_source/home; \
		export QBS_AUTOTEST_PROFILE=qbs_autotests; \
		export QBS_AUTOTEST_ALWAYS_LOG_STDOUT=1; \
		export QBS_AUTOTEST_ALWAYS_LOG_STDERR=1; \
		$(BUILDPATH)/bin/qbs-setup-toolchains /usr/bin/gcc gcc; \
		$(BUILDPATH)/bin/qbs-setup-qt /usr/bin/qmake6 qbs_autotests; \
		[ -n "`$(BUILDPATH)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
			$(BUILDPATH)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
		LC_ALL=C.UTF-8 dh_auto_test --max-parallel=1
endif

override_dh_auto_test-indep:

override_dh_compress:
	dh_compress --exclude=.qch

## qbs 2.5.0

=== debian/changelog ===
qbs (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Backport/adapt fixes from the upstream quickjs for GNU/Hurd to the embedded
    copy in qbs; patch quickjs_hurd.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 10 Dec 2024 06:26:52 +0100

qbs (2.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_cmake-Do-not-install-.gitignore-files.patch: drop, backported
      from upstream
    - test_sanitizers_only_on_amd64.diff: refresh
  * Rename libqbscore2.4 to libqbscore2.5 according to the upstream SONAME
    bump.
  * Update install files.
  * Update copyright.
  * Remove symbols file: the shared libqbscore library bumps SONAME at every
    minor series, making the benefit of symbols files to lower the library
    requirements less useful; furthermore, the current library exposes a lot
    of internal symbols because of the enabled tests, making the symbols file
    hard to maintain.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2024 20:37:44 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore2.4
+Package: libqbscore2.5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -57,7 +57,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore2.4 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore2.5 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

## qbs 2.5.1

=== src/shared/quickjs/CMakeLists.txt ===
add_qbs_library(qbsquickjs
    STATIC
    SOURCES
        cutils.c cutils.h
        libbf.c libbf.h
        libregexp-opcode.h
        libregexp.c libregexp.h
        libunicode-table.h
        libunicode.c libunicode.h
        list.h
        quickjs-atom.h
        quickjs-opcode.h
        quickjs.c quickjs.h
    DEFINES
        "CONFIG_VERSION=\"2021-03-27\""
)
if(QBS_QUICKJS_LEAK_CHECK)
  add_definitions(-DDUMP_LEAKS)
endif()
target_include_directories(
    qbsquickjs
    SYSTEM
    INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(qbsquickjsheaders INTERFACE)
target_include_directories(
    qbsquickjsheaders
    SYSTEM
    INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}
)
if(MSVC)
  target_compile_options(qbsquickjs PUBLIC /wd4018 /wd4334 /wd4101 /wd4146 /wd4244 /wd4267 /wd4996)
endif()

=== tests/auto/blackbox/testdata-providers/conan-provider/testlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(conanmoduleprovider.testlib)

find_package(conanmoduleprovider.testlibdep REQUIRED)

add_library(${PROJECT_NAME} STATIC testlib.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES PUBLIC_HEADER "testlib.h")
target_link_libraries(${PROJECT_NAME} conanmoduleprovider.testlibdep::conanmoduleprovider.testlibdep)
install(TARGETS ${PROJECT_NAME})

=== debian/changelog ===
qbs (2.5.1-0zneon+24.04+noble+stable+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Feb 2025 04:14:28 +0000

qbs (2.5.1-0neon) noble; urgency=medium

  [ Pino Toscano ]
  * Build the documentation only during arch-indep builds:
    - move the python3-bs4, and python3-lxml build dependencies to
      Build-Depends-Indep
    - copy the qt6-tools-dev build dependency to Build-Depends-Indep, as it is
      needed for running the test suite
    - enable the -DQBS_INSTALL_HTML_DOCS, and -DQBS_INSTALL_QCH_DOCS cmake
      arguments only when their respective packages are to be built
  * Mark the qt6-declarative-dev, and qt6-tools-dev build dependencies as
    !nocheck, as they are needed only when running the test suite.
  * Update symbols file from the logs of buildds.
  * Stop passing -DQBS_INSTALL_PREFIX to cmake, as it has not been used for a
    long time.
  * Simplifying avoiding installing .gitignore files:
    - do a global search & removal in debian/tmp after the installation there,
      so it is easier to notice & drop only the ones that get installed
    - stop removing them from the sources in dh_auto_clean, to not modify the
      sources
    - drop the entries from debian/not-installed
  * Remove entries from debian/not-installed that do not exist anymore.
  * Remove Uploaders who have not contributed anything in more than 5 years.

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 13:50:05 +1000

=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: cmake,
               debhelper,
               debhelper-compat (= 13),
               dpkg-build-api (= 1),
               pkg-kde-tools,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.4.2+dfsg-12~),
               qt6-base-doc,
               qt6-base-private-dev,
               qt6-declarative-dev <!nocheck>,
               qt6-tools-dev <!nocheck>
Build-Depends-Indep: python3-bs4, python3-lxml, qt6-tools-dev
Standards-Version: 4.7.0
Homepage: https://wiki.qt.io/Qbs
Vcs-Git: https://invent.kde.org/neon/qt6/qbs.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qbs
Maintainer: Neon CI <neon@kde.org>

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: cross-platform build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.

Package: qbs-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qbs static files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs shared static files.

Package: libqbscore2.4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqbscore1.24
Replaces: libqbscore1.24
Description: Qbs core library
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs core shared library.

Package: qbs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqbscore2.4 (= ${binary:Version}), ${misc:Depends}
Description: Qbs development files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains headers and development files for Qbs.

Package: qbs-examples
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: examples for Qbs build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the example source projects for Qbs.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export PATH := /usr/lib/qt6/bin:$(PATH)
 
 include /usr/share/dpkg/default.mk
 
@@ -51,6 +52,9 @@
 	dh_auto_install --no-parallel -- -C doc
 	dh_auto_install -- -C share
 
+execute_after_dh_auto_install:
+	find debian/tmp -type f -name .gitignore -print -delete
+
 override_dh_auto_test-arch:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	set -ex; \

=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://qt-mirror.dannhauer.de/official_releases/qbs/([\d\.]*)/qbs-src-([^-]*)\.tar\.gz

## qbs 2.6.0

=== debian/changelog ===
qbs (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Mar 2025 08:23:58 +0200

qbs (2.6.0-1) experimental; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * Extend the -O2 hack for Ubuntu to also apply to amd64.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.7.2, no changes required.
  * New upstream release.
  * Rename libqbscore2.5 to libqbscore2.6 according to the upstream SONAME
    bump.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Mar 2025 07:50:00 +0100

qbs (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Feb 2025 12:49:04 +0100

## qbs 2.6.1

=== src/shared/CMakeLists.txt ===
add_subdirectory(lsp)
add_subdirectory(quickjs)
add_subdirectory(span)

=== debian/changelog ===
qbs (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 21 Apr 2025 08:26:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: qbs
 Section: devel
 Priority: optional
-Uploaders: Dmitry Shachnev <mitya57@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>,
 Build-Depends: cmake,
-               debhelper,
                debhelper-compat (= 13),
                dpkg-build-api (= 1),
                pkg-kde-tools,
                qt6-5compat-dev,
                qt6-base-dev (>= 6.4.2+dfsg-12~),
-               qt6-base-doc,
                qt6-base-private-dev,
                qt6-declarative-dev <!nocheck>,
-               qt6-tools-dev <!nocheck>
-Build-Depends-Indep: python3-bs4, python3-lxml, qt6-tools-dev
-Standards-Version: 4.7.0
+               qt6-tools-dev <!nocheck>,
+Build-Depends-Indep: python3-bs4,
+                     python3-lxml,
+                     qt6-tools-dev,
+Standards-Version: 4.7.2
 Homepage: https://wiki.qt.io/Qbs
-Vcs-Git: https://invent.kde.org/neon/qt6/qbs.git
-Vcs-Browser: https://invent.kde.org/neon/qt6/qbs
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/
 
 Package: qbs
 Architecture: any
@@ -40,14 +40,12 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore2.4
+Package: libqbscore2.6
 Architecture: any
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libqbscore1.24
-Replaces: libqbscore1.24
 Description: Qbs core library
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that
@@ -59,7 +57,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore2.4 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore2.6 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that
@@ -78,3 +76,28 @@
  is similar to QML.
  .
  This package contains the example source projects for Qbs.
+
+Package: qbs-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Qbs documentation
+ Qbs is a general purpose cross-platform build tool that aims at fast and
+ correct incremental builds. It features a project description language that
+ is similar to QML.
+ .
+ This package contains the documentation for Qbs in QCH format, which can be
+ viewed using Qt Assistant from assistant-qt6 package.
+
+Package: qbs-doc-html
+Multi-Arch: foreign
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qbs HTML documentation
+ Qbs is a general purpose cross-platform build tool that aims at fast and
+ correct incremental builds. It features a project description language that
+ is similar to QML.
+ .
+ This package contains the HTML documentation for Qbs.

## qbs 3.0.1

=== debian/changelog ===
qbs (3.0.1-2) experimental; urgency=medium

  * Team upload.
  * Backport the upstream https://codereview.qt-project.org/c/qbs/qbs/+/671159
    to fix the build on 32bit architectures; patch
    Fix-check-for-uninitialized-JSValue.diff.
  * Move the test-only qt6-declarative-dev, and qt6-tools-dev build dependencies
    as Build-Depends-Arch, as they are needed only when running the tests which
    are run during arch builds.
  * Add few more arch-only test-only build dependencies for additional bits in
    the test suite: 7zip, bison, flex, icoutils, qt6-shadertools-dev, and zip.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Aug 2025 06:02:11 +0200

qbs (3.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libqbscore2.6 to libqbscore3.0 according to the upstream SONAME
    bump.
  * Update the patches:
    - quickjs_hurd.diff: drop, as it refers to quickjs and not to the actually
      used quickjs-ng
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Wed, 20 Aug 2025 04:28:56 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,14 @@
                qt6-5compat-dev,
                qt6-base-dev (>= 6.4.2+dfsg-12~),
                qt6-base-private-dev,
-               qt6-declarative-dev <!nocheck>,
-               qt6-tools-dev <!nocheck>,
+Build-Depends-Arch: 7zip <!nocheck>,
+                    bison <!nocheck>,
+                    flex <!nocheck>,
+                    icoutils <!nocheck>,
+                    qt6-declarative-dev <!nocheck>,
+                    qt6-shadertools-dev <!nocheck>,
+                    qt6-tools-dev <!nocheck>,
+                    zip <!nocheck>,
 Build-Depends-Indep: python3-bs4,
                      python3-lxml,
                      qt6-tools-dev,
@@ -40,7 +46,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore2.6
+Package: libqbscore3.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -57,7 +63,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore2.6 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore3.0 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

## qbs 3.0.3

=== debian/changelog ===
qbs (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - Fix-check-for-uninitialized-JSValue.diff: drop, fixed upstream
  * Update patch skip_test_concurrent.diff to skip directly in the _data()
    function, to skip only once rather than in each of the almost 500
    combinations of it.

 -- Pino Toscano <pino@debian.org>  Tue, 02 Sep 2025 22:30:04 +0200

qbs (3.0.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add a new upstream-test-suite autopkgtest that runs the blackbox tests from
    the upstream test suite:
    - build the tests from the sources, which sadly needs a good deal of build
      (the shared qbs libraries should not be actually used, though)
    - blacklist the qbsLanguageServer, as it assumes a fully-built layout
    - borrow some of the setup from what done for running the tests during the
      build

 -- Pino Toscano <pino@debian.org>  Sat, 30 Aug 2025 11:23:02 +0200

qbs (3.0.1-3) experimental; urgency=medium

  * Team upload.
  * Add few more arch-only test-only build dependencies for additional bits in
    the test suite: qt6-scxml-dev, and unzip.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Aug 2025 06:51:53 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,10 @@
                     flex <!nocheck>,
                     icoutils <!nocheck>,
                     qt6-declarative-dev <!nocheck>,
+                    qt6-scxml-dev <!nocheck>,
                     qt6-shadertools-dev <!nocheck>,
                     qt6-tools-dev <!nocheck>,
+                    unzip <!nocheck>,
                     zip <!nocheck>,
 Build-Depends-Indep: python3-bs4,
                      python3-lxml,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export PATH := /usr/lib/qt6/bin:$(PATH)
 
 include /usr/share/dpkg/default.mk
 
@@ -11,7 +10,7 @@
 endif
 
 ifeq ($(call dpkg_vendor_derives_from,ubuntu),yes)
-ifeq (ppc64el,$(DEB_HOST_ARCH))
+ifneq ($(filter $(DEB_HOST_ARCH),ppc64el amd64),)
 export DEB_CXXFLAGS_MAINT_STRIP=-O3
 export DEB_CXXFLAGS_MAINT_APPEND=-O2
 endif
@@ -52,9 +51,6 @@
 	dh_auto_install --no-parallel -- -C doc
 	dh_auto_install -- -C share
 
-execute_after_dh_auto_install:
-	find debian/tmp -type f -name .gitignore -print -delete
-
 override_dh_auto_test-arch:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	set -ex; \

## qbs 3.1.0

=== src/lib/pkgconfig/CMakeLists.txt ===
set(SOURCES
    pcpackage.cpp
    pcpackage.h
    pcparser.cpp
    pcparser.h
    pkgconfig.cpp
    pkgconfig.h
)
list_transform_prepend(SOLUTION_SOURCES solution/)

set(QBS_PKGCONFIG_PUBLIC_DEPENDS "")
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.0)
    set(QBS_PKGCONFIG_PUBLIC_DEPENDS "stdc++fs")
endif()

set(PKG_CONFIG_PC_PATH "${CMAKE_INSTALL_PREFIX}/${QBS_LIBDIR_NAME}/pkgconfig:${CMAKE_INSTALL_PREFIX}/share/pkgconfig")

if (CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    set(PKG_CONFIG_PC_PATH "${PKG_CONFIG_PC_PATH}:/usr/local/libdata/pkgconfig/:/usr/libdata/pkgconfig/:/usr/local/share/pkgconfig/")
elseif (UNIX)
    set(PKG_CONFIG_PC_PATH "${PKG_CONFIG_PC_PATH}:/usr/lib/pkgconfig/:/usr/share/pkgconfig/")
endif()

message(${PKG_CONFIG_PC_PATH})

add_qbs_library(qbspkgconfig
    STATIC
    DEFINES
        "PKG_CONFIG_PC_PATH=\"${PKG_CONFIG_PC_PATH}\""
        "PKG_CONFIG_SYSTEM_LIBRARY_PATH=\"/usr/${QBS_LIBDIR_NAME}\""
    PUBLIC_DEFINES
        "QBS_PC_WITH_QT_SUPPORT=1"
    PUBLIC_DEPENDS ${QBS_PKGCONFIG_PUBLIC_DEPENDS}
    SOURCES ${SOURCES}
)

=== tests/auto/blackbox/CMakeLists.txt ===
add_qbs_test(blackbox
    DEFINES
        ${QBS_UNIT_TESTS_DEFINES}
        "QBS_VERSION=\"${QBS_VERSION}\""
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackbox.cpp
        tst_blackbox.h
    )

add_qbs_test(blackbox-android
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxandroid.cpp
        tst_blackboxandroid.h
    )

add_qbs_test(blackbox-apple
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxapple.cpp
        tst_blackboxapple.h
    )

add_qbs_test(blackbox-baremetal
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxbaremetal.cpp
        tst_blackboxbaremetal.h
    )

add_qbs_test(blackbox-clangdb
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_clangdb.cpp
        tst_clangdb.h
    )

add_qbs_test(blackbox-java
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxjava.cpp
        tst_blackboxjava.h
    )

add_qbs_test(blackbox-joblimits
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxjoblimits.cpp
    )

add_qbs_test(blackbox-providers
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxproviders.cpp
    )

add_qbs_test(blackbox-qt
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxqt.cpp
        tst_blackboxqt.h
    )

add_qbs_test(blackbox-tutorial
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxtutorial.h
        tst_blackboxtutorial.cpp
    )

add_qbs_test(blackbox-windows
    SOURCES
        ../shared.h
        tst_blackboxbase.cpp
        tst_blackboxbase.h
        tst_blackboxwindows.cpp
        tst_blackboxwindows.h
    )

=== src/plugins/scanner/qt/CMakeLists.txt ===
add_qbs_plugin(qbs_qt_scanner
    DEPENDS qbscore
    SOURCES ../scanner.h qtscanner.cpp
    )

=== tests/auto/blackbox/testdata-providers/conanfile-probe/testlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(conanfileprobe.testlib)

add_library(${PROJECT_NAME} STATIC testlib.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES PUBLIC_HEADER "testlib.h")
install(TARGETS ${PROJECT_NAME})

=== debian/changelog ===
qbs (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Mon, 13 Oct 2025 07:36:59 +0200

qbs (3.1.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libqbscore3.0 to libqbscore3.1 according to the upstream SONAME
    bump.
  * Update the patches:
    - no_nosys_specs.diff: update
  * Backport the upstream https://codereview.qt-project.org/c/qbs/qbs/+/683816
    to fix the search of gcc std modules; patch
    gcc-handle-absolute-module-source-paths-in-modules.json.diff.
    (Closes: #1114341)
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Oct 2025 23:05:21 +0200
